com.dlsc.flexgantt.swing.util

## Class MultiDropTarget

- java.lang.Object
- - java.awt.dnd.DropTarget
  - - com.dlsc.flexgantt.swing.util.MultiDropTarget

- All Implemented Interfaces:
    DropTargetListener, Serializable, EventListener

      public class MultiDropTarget
      extends DropTarget

  The `MultiDropTarget` is associated with a `Component` when that `Component` wishes to accept drops during Drag and Drop operations.

  Each `DropTarget` is associated with a `FlavorMap`. The default `FlavorMap` hereafter designates the `FlavorMap` returned by `SystemFlavorMap.getDefaultFlavorMap()`.

  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.dnd.DropTarget

      `DropTarget.DropTargetAutoScroller`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiDropTarget(Component c, int ops, DropTargetListener dtl)` Creates a `MultiDropTarget` given the `Component` to associate itself with, an `int` representing the default acceptable action(s) to support, and a `DropTargetListener` to handle event processing.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDropTargetListener(DropTargetListener dtl)`
    `void` | `dragEnter(DropTargetDragEvent e)`
    `void` | `dragExit(DropTargetEvent e)`
    `void` | `dragOver(DropTargetDragEvent e)`
    `void` | `drop(DropTargetDropEvent e)`
    `void` | `dropActionChanged(DropTargetDragEvent e)`
    `void` | `removeDropTargetListener(DropTargetListener dtl)`

    - ### Methods inherited from class java.awt.dnd.DropTarget

      `addNotify, clearAutoscroll, createDropTargetAutoScroller, createDropTargetContext, getComponent, getDefaultActions, getDropTargetContext, getFlavorMap, initializeAutoscrolling, isActive, removeNotify, setActive, setComponent, setDefaultActions, setFlavorMap, updateAutoscroll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDropTarget

          public MultiDropTarget(Component c,
                                 int ops,
                                 DropTargetListener dtl)

      Creates a `MultiDropTarget` given the `Component` to associate itself with, an `int` representing the default acceptable action(s) to support, and a `DropTargetListener` to handle event processing.

      The Component will receive drops only if it is enabled.

      Parameters:
        `c` - The `Component` with which this `DropTarget` is associated
        `ops` - The default acceptable actions for this `DropTarget`
        `dtl` - The `DropTargetListener` for this `DropTarget`
      Throws:
        `HeadlessException` - if GraphicsEnvironment.isHeadless() returns true
      See Also:
        `GraphicsEnvironment.isHeadless()`

  - ### Method Detail

    - #### addDropTargetListener

          public void addDropTargetListener(DropTargetListener dtl)

      Overrides:
        `addDropTargetListener` in class `DropTarget`

    - #### removeDropTargetListener

          public void removeDropTargetListener(DropTargetListener dtl)

      Overrides:
        `removeDropTargetListener` in class `DropTarget`

    - #### dragEnter

          public void dragEnter(DropTargetDragEvent e)

      Specified by:
        `dragEnter` in interface `DropTargetListener`
      Overrides:
        `dragEnter` in class `DropTarget`

    - #### dragOver

          public void dragOver(DropTargetDragEvent e)

      Specified by:
        `dragOver` in interface `DropTargetListener`
      Overrides:
        `dragOver` in class `DropTarget`

    - #### dragExit

          public void dragExit(DropTargetEvent e)

      Specified by:
        `dragExit` in interface `DropTargetListener`
      Overrides:
        `dragExit` in class `DropTarget`

    - #### drop

          public void drop(DropTargetDropEvent e)

      Specified by:
        `drop` in interface `DropTargetListener`
      Overrides:
        `drop` in class `DropTarget`

    - #### dropActionChanged

          public void dropActionChanged(DropTargetDragEvent e)

      Specified by:
        `dropActionChanged` in interface `DropTargetListener`
      Overrides:
        `dropActionChanged` in class `DropTarget`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.